OPTIONS (
ERRORS = %ERRORSNUM%,
DEGREE_OF_PARALLELISM=AUTO,
PARALLEL=%PARALLEL%,
SKIP_INDEX_MAINTENANCE=TRUE,
SKIP_UNUSABLE_INDEXES=TRUE,
TRIM=LRTRIM,
%SILENT%,
%SKIP%)


LOAD DATA

INFILE '%INPUTFILELOCATION%D1_MSRMT%FILEPIPENAME%'
BADFILE '%OUTPUTFILELOCATION%D1_MSRMT%TIMESTAMP%.bad'
DISCARDFILE '%OUTPUTFILELOCATION%D1_MSRMT%TIMESTAMP%.dsc'
%COMMAND%
PRESERVE BLANKS

INTO TABLE CISADM.D1_MSRMT
WHEN MEASR_COMP_ID != BLANKS
FIELDS TERMINATED BY "," OPTIONALLY ENCLOSED BY '"' TRAILING NULLCOLS
(
MEASR_COMP_ID "(select mcid.MEASR_COMP_ID from STGADM.D1_MEASR_COMP_IDENTIFIER mcid where mcid.mc_id_type_flg = 'D1CI' and mcid.id_value = :MEASR_COMP_ID)",
MSRMT_DTTM DATE 'YYYY-MM-DD HH24:MI:SS',
BO_STATUS_CD CHAR(12),
MSRMT_COND_FLG CHAR(6),
MSRMT_USE_FLG CHAR(4),
MSRMT_LOCAL_DTTM DATE 'YYYY-MM-DD HH24:MI:SS',
MSRMT_VAL INTEGER EXTERNAL,
ORIG_INIT_MSRMT_ID CHAR(14),
PREV_MSRMT_DTTM DATE 'YYYY-MM-DD HH24:MI:SS',
MSRMT_VAL1 INTEGER EXTERNAL,
MSRMT_VAL2 INTEGER EXTERNAL,
MSRMT_VAL3 INTEGER EXTERNAL,
MSRMT_VAL4 INTEGER EXTERNAL,
MSRMT_VAL5 INTEGER EXTERNAL,
MSRMT_VAL6 INTEGER EXTERNAL,
MSRMT_VAL7 INTEGER EXTERNAL,
MSRMT_VAL8 INTEGER EXTERNAL,
MSRMT_VAL9 INTEGER EXTERNAL,
MSRMT_VAL10 INTEGER EXTERNAL,
BUS_OBJ_CD CHAR(30),
CRE_DTTM DATE 'YYYY-MM-DD HH24:MI:SS',
STATUS_UPD_DTTM DATE 'YYYY-MM-DD HH24:MI:SS',
USER_EDITED_FLG,
VERSION INTEGER EXTERNAL,
LAST_UPDATE_DTTM sysdate,
READING_VAL CONSTANT '0',
COMBINED_MULTIPLIER CONSTANT '1')

